PHPExcel_Shared_OLE_ChainedBlockStream

Stream wrapper for reading data stored in an OLE file. Implements methods for PHP's stream_wrapper_register(). For creating streams using this wrapper, use PHPExcel_Shared_OLE_PPS_File::getStream().

category | PHPExcel
package | PHPExcel_Shared_OLE

### Methods

## Implements support for fclose().

    stream_close()

## Implements support for feof().

    stream_eof() : bool

### Returns

`bool`TRUE if the file pointer is at EOF; otherwise FALSE

## Implements support for fopen().

    stream_open(string $path, string $mode, int $options, string $openedPath) : bool

For creating streams using this wrapper, use OLE_PPS_File::getStream().

### Parameters

#### $path

`string`

resource name including scheme, e.g. ole-chainedblockstream://oleInstanceId=1

#### $mode

`string`

only "r" is supported

#### $options

`int`

mask of STREAM_REPORT_ERRORS and STREAM_USE_PATH

#### $openedPath

`string`

&$openedPath absolute path of the opened stream (out parameter)

### Returns

`bool`true on success

## Implements support for fread(), fgets() etc.

    stream_read(int $count) : string

### Parameters

#### $count

`int`

maximum number of bytes to read

### Returns

`string`

## Implements support for fseek().

    stream_seek(int $offset, int $whence) : bool

### Parameters

#### $offset

`int`

byte offset

#### $whence

`int`

SEEK_SET, SEEK_CUR or SEEK_END

### Returns

`bool`

## Implements support for fstat().

    stream_stat() : array

Currently the only supported field is "size".

### Returns

`array`

## Returns the position of the file pointer, i.e.

    stream_tell() : int

its offset into the file stream. Implements support for ftell().

### Returns

`int`

### Properties

##

    $data : string

##

    $ole : \OLE

##

    $params : array

##

    $pos : int